#
# Code example demonstrating use of lists
#
# author: David Mathias
#

# list creation
L1 = ['Blue Hens', 'Bears', 'Hoosiers', 'Buckeyes', 'Mocs', 'Eagles']
L2 = []
L3 = [0] * 10


print()
print('List initial values:')
print("   L1: {}".format(L1))
print("   L2: {}".format(L2))
print("   L3: {}".format(L3))
print()

# access elements in a list
print('Accessor examples:')
print('   L1[2]: {}'.format(L1[2]))
print('   L1[len(L1)-1]: {}'.format(L1[len(L1)-1]))
print('   L1[-1]: {}'.format(L1[-1]))
print('   L1[-3]: {}'.format(L1[-3]))
print()

# slices
print('Slice examples:')
print('   L1: {}'.format(L1))
print('   L1[1:4]: {}'.format(L1[1:4]))
print('   L1[:3]: {}'.format(L1[:3]))
print('   L1[2:]: {}'.format(L1[2:]))
print('   L1[-4:]: {}'.format(L1[-4:]))
print('   L1[:-2]: {}'.format(L1[:-2]))
print()

