#
# Code example demonstrating use of lists
#
# author: David Mathias
#

# list creation
L1 = [12, 87, 92, 31, 57, 20, 44, 6, 33, 22, 40]
L2 = [5, 10, 15, 20]

print()
print('List initial values:')
print("   L1: {}".format(L1))
print("   L2: {}".format(L2))
print()

# len, min, max, sum
print('List operations:')
print('   len(L1): {}'.format(len(L1)))
print('   min(L1): {}'.format(min(L1)))
print('   max(L1): {}'.format(max(L1)))
print('   sum(L1): {}'.format(sum(L1)))
print('   sum(L1[3:8]): {}'.format(sum(L1[3:8])))
print()

# all and any
print('   all(L1): {}'.format(all(L1)))
print('   Change an element of L1:')
print('   L1[3] = 0')
L1[3] = 0
print('   List L1: {}'.format(L1))
print('   all(L1): {}'.format(all(L1)))
print('   any(L1): {}'.format(any(L1)))
print()

# assigning to a slice
print('   L1[5:7] = L2')
L1[5:7] = L2
print('   List L1: {}'.format(L1))
print()

# del
print('   del L1[4]')
del L1[4]
print('   List L1: {}'.format(L1))
print()

# del a slice
print('   del L1[1:3]')
del L1[1:3]
print('   List L1: {}'.format(L1))
print()

# concatenate and in
print('   L1 + L2: {}'.format(L1 + L2))
print('   40 in L1: {}'.format(40 in L1))
print('   100 in L1: {}'.format(100 in L1))
print()

